Bug 1294635 - /bfin-linux-gnu-gcc has internal compiler error on kernel build
/bfin-linux-gnu-gcc has internal compiler error on kernel build
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cross-gcc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 06:44 EST by Michael S. Tsirkin
Modified: 2016-12-20 12:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:27:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2015-12-29 06:44:03 EST
Description of problem:
building latest kernel for blackfin causes
internal compiler error.

Version-Release number of selected component (if applicable):
binutils-bfin-linux-gnu-2.25.1-2.fc23.i686

How reproducible:
always

Steps to Reproduce:
1. execute these commands to clone linux and build for blackfin:

git clone git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
cd linux
export ARCH=blackfin
export CROSS_COMPILE=/usr/bin/bfin-linux-gnu-
export LOCALVERSION=""
make BF561-EZKIT-SMP_defconfig
make

Actual results:
/home/mst/scm/buildtest/arch/blackfin/kernel/setup.c: In function ‘setup_arch’:
/home/mst/scm/buildtest/arch/blackfin/kernel/setup.c:1110:1: error: could not split insn
 }
 ^
(jump_insn:TI 1572 1052 2143 94 (parallel [
            (set (pc)
                (if_then_else (ne (reg:SI 20 B0 [828])
                        (const_int 1 [0x1]))
                    (label_ref 1053)
                    (pc)))
            (set (reg:SI 20 B0 [828])
                (plus:SI (reg:SI 20 B0 [828])
                    (const_int -1 [0xffffffffffffffff])))
            (unspec [
                    (const_int 0 [0])
                ] 10)
            (clobber (reg:SI 1 R1))
        ]) /home/mst/scm/buildtest/arch/blackfin/kernel/setup.c:400 96 {loop_end}
     (expr_list:REG_UNUSED (reg:SI 1 R1)
        (int_list:REG_BR_PROB 9550 (nil)))
 -> 1053)
/home/mst/scm/buildtest/arch/blackfin/kernel/setup.c:1110:1: internal compiler error: in final_scan_insn, at final.c:3020
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla/> for instructions.
Preprocessed source stored into /tmp/cc3yMdY5.out file, please attach this to your bugreport.
/home/mst/scm/buildtest/scripts/Makefile.build:258: recipe for target 'arch/blackfin/kernel/setup.o' failed
make[2]: *** [arch/blackfin/kernel/setup.o] Error 1
/home/mst/scm/buildtest/Makefile:943: recipe for target 'arch/blackfin/kernel' failed
make[1]: *** [arch/blackfin/kernel] Error 2
make[1]: Leaving directory '/home/mst/scm/buildoutput/blackfin'
Makefile:146: recipe for target 'sub-make' failed
make: *** [sub-make] Error 2


Expected results:
kernel build in vmlinux

Additional info:
preprocessed file /tmp/cc3yMdY5.out attached
Comment 1 Michael S. Tsirkin 2015-12-29 06:45:24 EST
correction: this is gcc issue, not binutils
version:

gcc-bfin-linux-gnu-5.2.1-4.fc23.i686
Comment 2 David Howells 2016-09-26 08:05:52 EDT
This is fixed in:

binutils-bfin-linux-gnu-2.26.1-1.fc24.x86_64
gcc-bfin-linux-gnu-6.1.1-2.fc24.x86_64
Comment 3 Fedora End Of Life 2016-11-24 09:34:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 12:27:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.